package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseScheduleTeacherSalary;
import com.ym.mec.biz.dal.enums.TeachModeEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/10/11
 */
public class VipGroupSalaryDto extends CourseScheduleTeacherSalary {

    @ApiModelProperty(value = "课程编号")
    private Long courseScheduleId;

    @ApiModelProperty(value = "上课日期")
    private java.util.Date classDate;

    @ApiModelProperty(value = "教学形式")
    private TeachModeEnum teachMode;

    @ApiModelProperty(value = "扣除费用")
    private BigDecimal deductionFee;

    @ApiModelProperty(value = "是否已结算")
    private YesOrNoEnum isSalary;

    public YesOrNoEnum getIsSalary() {
        return isSalary;
    }

    public void setIsSalary(YesOrNoEnum isSalary) {
        this.isSalary = isSalary;
    }

    public BigDecimal getDeductionFee() {
        return deductionFee;
    }

    public void setDeductionFee(BigDecimal deductionFee) {
        this.deductionFee = deductionFee;
    }

    @Override
    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    @Override
    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public Date getClassDate() {
        return classDate;
    }

    public void setClassDate(Date classDate) {
        this.classDate = classDate;
    }

    public TeachModeEnum getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(TeachModeEnum teachMode) {
        this.teachMode = teachMode;
    }
}
